Bug 147431 - [NEW PORT] security/strongswan - Open Source IPsec-based VPN solution
[NEW PORT] security/strongswan - Open Source IPsec-based VPN solution
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 13:40 UTC by riaank
Modified: 2010-08-26 14:50 UTC (History)
0 users

See Also:


Attachments
file.shar (10.34 KB, text/plain)
2010-06-03 13:40 UTC, riaank
no flags Details
patch-1.diff (767 bytes, patch)
2010-07-27 14:26 UTC, riaank
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description riaank 2010-06-03 13:40:03 UTC
Strongswan is an open source IPsec-based VPN solution. 

WWW: http://www.strongswan.org

Fix: Patch attached with submission follows:
Comment 1 pav freebsd_committer 2010-08-26 14:21:22 UTC
State Changed
From-To: open->closed

New port added, with modifications
Comment 2 dfilter freebsd_committer 2010-08-26 14:40:22 UTC
pav         2010-08-26 13:40:11 UTC

  FreeBSD ports repository

  Modified files:
    security             Makefile 
  Added files:
    security/strongswan  Makefile distinfo pkg-descr pkg-plist 
    security/strongswan/files 
                              patch-src__libcharon__plugins__kernel_pfkey__kernel_pfkey_ipsec.c 
  Log:
  Strongswan is an open source IPsec-based VPN solution.
  Strongswan for FreeBSD supports IKEv2 but NOT IKEv1.
  
  WWW: http://www.strongswan.org
  
  PR:             ports/147431
  Submitted by:   Riaan Kruger <riaank@gmail.com>
  
  Revision  Changes    Path
  1.1123    +1 -0      ports/security/Makefile
  1.1       +47 -0     ports/security/strongswan/Makefile (new)
  1.1       +3 -0      ports/security/strongswan/distinfo (new)
  1.1       +102 -0    ports/security/strongswan/files/patch-src__libcharon__plugins__kernel_pfkey__kernel_pfkey_ipsec.c (new)
  1.1       +4 -0      ports/security/strongswan/pkg-descr (new)
  1.1       +109 -0    ports/security/strongswan/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"